Get a workspace webhook subscription
GET
bearerAuthheader
AuthorizationBearer <relk_… | relu_… | OAuth JWT>Machine/operator tokens use the relk_ prefix; self-serve read-only user keys use relu_; Sign in with Releases supplies an OAuth access token. Required scope depends on the endpoint.
workspaceId*stringid*stringThe subscription and its delivery health
application/json- response
id*stringscope*stringorgId*string|nullurl*stringsourceId*string|nullproductId*string|nullreleaseType*|nullformat*stringValue in
"json""slack""discord"enabled*booleandescription*string|nullsecretVersion*integerRange
-9007199254740991 <= value <= 9007199254740991createdAt*stringlastSuccessAt*string|nulllastErrorAt*string|nulllastErrorMsg*string|nullconsecutiveFailures*integerRange
-9007199254740991 <= value <= 9007199254740991disabledReason*string|nullfailureStreakStartedAt*string|nullworkspaceId*stringdeliveryHealth*stringValue in
"never_delivered""healthy""degraded""failing""paused""auto_paused"deliveryHealthSummary*stringcurl -X GET 'https://api.releases.sh/v1/workspaces/string/webhooks/string'Example Response
{ "id": "string", "scope": "org", "orgId": "string", "url": "string", "sourceId": "string", "productId": "string", "releaseType": "feature", "format": "json", "enabled": true, "description": "string", "secretVersion": -9007199254740991, "createdAt": "string", "lastSuccessAt": "string", "lastErrorAt": "string", "lastErrorMsg": "string", "consecutiveFailures": -9007199254740991, "disabledReason": "string", "failureStreakStartedAt": "string", "workspaceId": "string", "deliveryHealth": "never_delivered", "deliveryHealthSummary": "string"}